For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet Referral QR Code
        • GETGet account referral details
        • GETGet Config
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceReferrals

Get account referral details

GET
https://api.testnet.paradex.trade/v1/referrals/summary
GET
/v1/referrals/summary
$curl -X GET https://api.testnet.paradex.trade/v1/referrals/summary \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "results": [
3 {
4 "address": "string",
5 "created_at": 1715592690488,
6 "referral_code": "maxdegen01",
7 "referral_rewards": "0.123",
8 "volume_traded": "0.123"
9 }
10 ]
11}
Get latest referee data for requester's account
Was this page helpful?
Previous

Get Config

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

OK
resultslist of objects
Array of results

Errors

400
Bad Request Error
401
Unauthorized Error